<id>
Send Member Password Reminder for YaBB 2.5
</id>

<version>
0.3
</version>

<mod info>
Description
-----------
This Mod will allow Administrators to easily send a password reminder to Members from their profile page. 

Installation
------------
1) Modify YaBB files using BoardMod or manually.
2) Upload modified files to your server in ASCII mode.

Files to edit
-------------
Admin/ModList.pl 
Languages/English/Profile.lng
Sources/LogInOut.pl
Sources/Profile.pl

Version History
---------------
V0.1 - First release - 30th April 2010
V0.2 - Changed step in mod file so it doesn't conflict with other mods - 30th May 2010
V0.3 - Updated for YaBB 2.5 - 15th July 2010
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mod_pass_reminder = "Send Member Password Reminder|Derek Barnstorm|This Mod will allow Administrators to easily send a password reminder to Members from their profile page.|0.3|15th July 2010";
	push (@installed_mods, "$mod_pass_reminder");
	
</add before>

<edit file>
Languages/English/Profile.lng
</edit file>

<search for>
);

%mycenter_profile_txt = (
</search for>

<add before>
### Send Member Password Reminder Mod Start ###
'pass_reminder_1' => 'Password reminder',
'pass_reminder_2' => 'Send',
'pass_reminder_3' => 'Are you sure you want to send a password reminder to',
### Send Member Password Reminder Mod End ###
</add before>

<edit file>
Sources/LogInOut.pl
</edit file>

<search for>
	if ($regcheck) {
		&validation_check($FORM{'verification'});
	}
</search for>

<replace>
	if ($regcheck && !$iamadmin) { ### Send Member Password Reminder Mod Edit ###
		&validation_check($FORM{'verification'});
	}
</replace>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
			<div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">$ip_ban_options</div>
		</td>
	</tr>~;
	}
</search for>

<add after>

	### Send Member Password Reminder Mod Start ###	
	if ($iamadmin && !$view && $user ne $username && ${$uid.$user}{'position'} ne 'Administrator') {
		$showProfile .= qq~
	<tr>
		<td class="windowbg2" align="left">
			<div style="float: left; clear: left; width: 30%; padding-top: 5px; padding-bottom: 5px;"><b>$profile_txt{'pass_reminder_1'}:</b></div>
			<div style="float: left; width: 70%;">
			<form action="$scripturl?action=reminder2" method="post">
		    <input type="hidden" name="user" value="$INFO{'username'}" />
            <input type="submit" value="$profile_txt{'pass_reminder_2'}" class="button" onclick="return confirm('$profile_txt{'pass_reminder_3'} ${$uid.$user}{'realname'}?');" />
            </form>
			</div>
		</td>
    </tr>~;
    }
    ### Send Member Password Reminder Mod End ###
</add after>
